import { defineStore } from "pinia";
import { ref } from "vue";

const useUserInfoStore = defineStore("userInfo", () => {
  const user = ref({
    token: "",
    user_name:"",
  });

  const auth_page = ref([]);
  const updateAuthPage = (data) => {
    auth_page.value = data;
  };

  return { user, auth_page, updateAuthPage };
});

export default useUserInfoStore;
